Package csb :: Package bio :: Package hmm :: Class EmissionProfileSegment

[frames] | no frames]

# Class EmissionProfileSegment

source code

       object --+
                |
       ProfileHMM --+
                    |
    ProfileHMMSegment --+
                        |
                       EmissionProfileSegment

Represents a segment of the Match state emission probabilities of a ProfileHMM. Contains only Match states, connected with equal transition probabilities of 100%.

Instance Methods

Inherited from `ProfileHMMSegment`: `__init__`

Inherited from `ProfileHMM`: `add_emission_pseudocounts`, `add_transition_pseudocounts`, `chain`, `convert_scores`, `emission_profile`, `emission_similarity`, `segment`, `serialize`, `structure`, `subregion`, `to_hmm`

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Static Methods
Inherited from `ProfileHMM`: `deserialize`

Properties

Inherited from `ProfileHMMSegment`: `source_end`, `source_start`

Inherited from `ProfileHMM`: `alignment`, `all_layers`, `consensus`, `dssp`, `dssp_solvent`, `effective_matches`, `emission_pseudocounts`, `end`, `evd`, `family`, `has_structure`, `id`, `layers`, `length`, `logbase`, `name`, `pseudocounts`, `psipred`, `residues`, `scale`, `score_units`, `start`, `start_insertion`, `transition_pseudocounts`, `version`

Inherited from `object`: `__class__`